/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

import MaliitKeyboard 2.0

CharKey {
    id: actionKeyRoot

    noMagnifier: true
    skipAutoCaps: true
    property int padding: Device.actionKeyPadding

    // action keys are a bit wider
    width: panel.keyWidth + padding

    function avgColorValue(color) {
        return ( color.r + color.g + color.b ) / 3;
    }

    normalColor: avgColorValue(activePalette.button) > 0.5 ? Qt.darker(activePalette.button, 1.25) : Qt.lighter(activePalette.button, 1.25)
    pressedColor: avgColorValue(activePalette.mid) > 0.5 ? Qt.darker(activePalette.mid, 1.25) : Qt.lighter(activePalette.mid, 1.25)
}
